Bug 1750512 - gnome-settings-daemon version 3.33.92-1 breaks scaling in 3rd party applications
Summary: gnome-settings-daemon version 3.33.92-1 breaks scaling in 3rd party applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-09-09 18:51 UTC by Mikhail
Modified: 2019-09-15 00:26 UTC (History)
10 users (show)

Fixed In Version: mutter-3.34.0-2.fc31 gnome-settings-daemon-3.34.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-15 00:26:57 UTC


Attachments (Terms of Use)
issue demonstration (594.20 KB, image/png)
2019-09-09 20:19 UTC, Mikhail
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-settings-daemon/issues/446 None None None 2019-09-09 20:14:01 UTC

Description Mikhail 2019-09-09 18:51:13 UTC
Description of problem:
gnome-settings-daemon version 3.33.92-1 breaks scaling in 3rd party applications
On my system after upgrading to 3.33.92-1 version stop working scaling in:
- Google Chrome Dev
- Firefox Nightly
- GitKraken

On HiDPI 4K displays it is big disaster.
My eyes started to hurt after an hour of working with small fonts.


Temporary workaround is downgrading this package to 3.33.90-1.fc31 version and rebooting system.

Comment 1 Fedora Blocker Bugs Application 2019-09-09 18:56:28 UTC
Proposed as a Freeze Exception for 31-beta by Fedora user mikhail using the blocker tracking app because:

 This bug make hurts all of users HiDPI monitors.
Impossible working with 3rd party applications such Google chrome, because not working scaling setting.

Comment 2 Kalev Lember 2019-09-09 18:58:28 UTC
Could you please also file this upstream at https://gitlab.gnome.org/GNOME/gnome-settings-daemon ?

Comment 3 Mikhail 2019-09-09 20:19:51 UTC
Created attachment 1613332 [details]
issue demonstration

Comment 4 Kalev Lember 2019-09-11 15:48:02 UTC
I backported the upstream fix to mutter-3.34.0-2.fc31

Comment 5 Fedora Update System 2019-09-11 15:48:22 UTC
FEDORA-2019-6cc7585333 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 6 Fedora Update System 2019-09-11 16:34:25 UTC
accerciser-3.34.0-1.fc31, adwaita-icon-theme-3.33.92-1.fc31, aisleriot-3.22.9-1.fc31, amtk-5.0.1-1.fc31, anjuta-3.34.0-1.fc31, at-spi2-atk-2.34.0-1.fc31, at-spi2-core-2.34.0-1.fc31, atk-2.34.1-1.fc31, atomix-3.34.0-1.fc31, baobab-3.34.0-1.fc31, bijiben-3.34.0-1.fc31, cheese-3.34.0-1.fc31, dconf-0.34.0-1.fc31, dconf-editor-3.34.1-1.fc31, devhelp-3.34.0-1.fc31, eog-3.34.0-2.fc31, eog-plugins-3.26.4-1.fc31, epiphany-3.34.0-1.fc31, evolution-3.34.0-1.fc31, evolution-data-server-3.34.0-1.fc31, evolution-ews-3.34.0-1.fc31, evolution-mapi-3.34.0-1.fc31, file-roller-3.32.2-1.fc31, four-in-a-row-3.34.0-1.fc31, gdm-3.34.0-1.fc31, geary-3.33.91-1.fc31, gedit-3.34.0-1.fc31, gedit-plugins-3.34.0-2.fc31, glib-networking-2.62.0-1.fc31, glib2-2.62.0-1.fc31, gnome-2048-3.34.0-1.fc31, gnome-bluetooth-3.34.0-1.fc31, gnome-books-3.34.0-1.fc31, gnome-boxes-3.34.0-1.fc31, gnome-builder-3.34.0-1.fc31, gnome-calculator-3.34.0-1.fc31, gnome-calendar-3.34.0-1.fc31, gnome-chess-3.34.0-1.fc31, gnome-clocks-3.34.0-1.fc31, gnome-contacts-3.34-1.fc31, gnome-control-center-3.34.0.1-1.fc31, gnome-desktop3-3.34.0-1.fc31, gnome-disk-utility-3.34.0-1.fc31, gnome-getting-started-docs-3.34.0-1.fc31, gnome-klotski-3.34.0-1.fc31, gnome-logs-3.34.0-1.fc31, gnome-maps-3.34.0-1.fc31, gnome-mines-3.34.0-1.fc31, gnome-music-3.34.0-1.fc31, gnome-online-accounts-3.34.0-1.fc31, gnome-robots-3.34.0-1.fc31, gnome-session-3.34.0-1.fc31, gnome-settings-daemon-3.34.0-1.fc31, gnome-shell-3.34.0-1.fc31, gnome-shell-extension-background-logo-3.34.0-1.fc31, gnome-shell-extensions-3.34.0-1.fc31, gnome-software-3.34.0-1.fc31, gnome-sudoku-3.34.0-1.fc31, gnome-taquin-3.34.0-1.fc31, gnome-terminal-3.34.0-1.fc31, gnome-tetravex-3.34.0-1.fc31, gnome-user-docs-3.34.0-1.fc31, gnome-user-share-3.34.0-1.fc31, gnome-video-effects-0.5.0-1.fc31, gobject-introspection-1.62.0-1.fc31, gpaste-3.34.0-1.fc31, gsettings-desktop-schemas-3.34.0-1.fc31, gspell-1.8.2-1.fc31, gthumb-3.8.1-1.fc31, gtksourceview4-4.4.0-1.fc31, gtranslator-3.34.0-1.fc31, gvfs-1.42.0-1.fc31, iagno-3.34.0-1.fc31, jsonrpc-glib-3.34.0-1.fc31, libdazzle-3.34.0-1.fc31, libgdl-3.34.0-1.fc31, libhandy-0.0.11-1.fc31, libpeas-1.24.0-1.fc31, librsvg2-2.46.0-1.fc31, libsecret-0.19.1-1.fc31, libsoup-2.68.1-1.fc31, lightsoff-3.34.0-1.fc31, metacity-3.34.0-1.fc31, mutter-3.34.0-2.fc31, nautilus-3.34.0-1.fc31, openchange-2.3-29.fc31, orca-3.34.0-1.fc31, polari-3.34.0-1.fc31, pyatspi-2.34.0-1.fc31, pygobject3-3.34.0-1.fc31, simple-scan-3.34.0-1.fc31, sushi-3.34.0-1.fc31, swell-foop-3.34.0-1.fc31, sysprof-3.34.0-1.fc31, template-glib-3.34.0-1.fc31, totem-3.34.0-1.fc31, tracker-2.3.0-1.fc31, tracker-miners-2.3.0-1.fc31, vala-0.46.0-1.fc31, vte291-0.58.0-1.fc31, webkit2gtk3-2.26.0-1.fc31, yelp-3.34.0-1.fc31, yelp-xsl-3.34.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 7 Fedora Update System 2019-09-11 19:47:28 UTC
FEDORA-2019-6cc7585333 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 8 Adam Williamson 2019-09-11 23:24:01 UTC
Definite +1 FE for me as this affects the Workstation live and cannot be fully fixed with a 0-day update.

Comment 9 Kalev Lember 2019-09-12 06:06:40 UTC
By the way, I'm not sure this actually affects the Beta set because Beta only has gnome-settings-daemon 3.33.90, not 3.33.92.

Comment 10 Fedora Update System 2019-09-12 14:44:37 UTC
accerciser-3.34.0-1.fc31, adwaita-icon-theme-3.33.92-1.fc31, aisleriot-3.22.9-1.fc31, amtk-5.0.1-1.fc31, anjuta-3.34.0-1.fc31, at-spi2-atk-2.34.0-1.fc31, at-spi2-core-2.34.0-1.fc31, atk-2.34.1-1.fc31, atomix-3.34.0-1.fc31, baobab-3.34.0-1.fc31, bijiben-3.34.0-1.fc31, cheese-3.34.0-1.fc31, dconf-0.34.0-1.fc31, dconf-editor-3.34.1-1.fc31, devhelp-3.34.0-1.fc31, eog-3.34.0-2.fc31, eog-plugins-3.26.4-1.fc31, epiphany-3.34.0-1.fc31, evolution-3.34.0-1.fc31, evolution-data-server-3.34.0-1.fc31, evolution-ews-3.34.0-1.fc31, evolution-mapi-3.34.0-1.fc31, file-roller-3.32.2-1.fc31, four-in-a-row-3.34.0-1.fc31, gdm-3.34.0-1.fc31, geary-3.33.91-1.fc31, gedit-3.34.0-1.fc31, gedit-plugins-3.34.0-2.fc31, glib-networking-2.62.0-1.fc31, glib2-2.62.0-1.fc31, gnome-2048-3.34.0-1.fc31, gnome-bluetooth-3.34.0-1.fc31, gnome-books-3.34.0-1.fc31, gnome-boxes-3.34.0-1.fc31, gnome-builder-3.34.0-1.fc31, gnome-calculator-3.34.0-1.fc31, gnome-calendar-3.34.0-1.fc31, gnome-chess-3.34.0-1.fc31, gnome-clocks-3.34.0-1.fc31, gnome-contacts-3.34-1.fc31, gnome-control-center-3.34.0.1-1.fc31, gnome-desktop3-3.34.0-1.fc31, gnome-disk-utility-3.34.0-1.fc31, gnome-getting-started-docs-3.34.0-1.fc31, gnome-klotski-3.34.0-1.fc31, gnome-logs-3.34.0-1.fc31, gnome-maps-3.34.0-1.fc31, gnome-mines-3.34.0-1.fc31, gnome-music-3.34.0-1.fc31, gnome-online-accounts-3.34.0-1.fc31, gnome-online-miners-3.34.0-1.fc31, gnome-photos-3.34.0-1.fc31, gnome-robots-3.34.0-1.fc31, gnome-session-3.34.0-1.fc31, gnome-settings-daemon-3.34.0-1.fc31, gnome-shell-3.34.0-1.fc31, gnome-shell-extension-background-logo-3.34.0-1.fc31, gnome-shell-extensions-3.34.0-1.fc31, gnome-software-3.34.0-1.fc31, gnome-sudoku-3.34.0-1.fc31, gnome-taquin-3.34.0-1.fc31, gnome-terminal-3.34.0-1.fc31, gnome-tetravex-3.34.0-1.fc31, gnome-user-docs-3.34.0-1.fc31, gnome-user-share-3.34.0-1.fc31, gnome-video-effects-0.5.0-1.fc31, gobject-introspection-1.62.0-1.fc31, gpaste-3.34.0-1.fc31, gsettings-desktop-schemas-3.34.0-1.fc31, gspell-1.8.2-1.fc31, gthumb-3.8.1-1.fc31, gtksourceview4-4.4.0-1.fc31, gtranslator-3.34.0-1.fc31, gvfs-1.42.0-1.fc31, iagno-3.34.0-1.fc31, jsonrpc-glib-3.34.0-1.fc31, libdazzle-3.34.0-1.fc31, libgdl-3.34.0-1.fc31, libhandy-0.0.11-1.fc31, libmanette-0.2.3-1.fc31, libpeas-1.24.0-1.fc31, librsvg2-2.46.0-1.fc31, libsecret-0.19.1-1.fc31, libsoup-2.68.1-1.fc31, lightsoff-3.34.0-1.fc31, metacity-3.34.0-1.fc31, mutter-3.34.0-3.fc31, nautilus-3.34.0-1.fc31, openchange-2.3-29.fc31, orca-3.34.0-1.fc31, polari-3.34.0-1.fc31, pyatspi-2.34.0-1.fc31, pygobject3-3.34.0-1.fc31, simple-scan-3.34.0-1.fc31, sushi-3.34.0-1.fc31, swell-foop-3.34.0-1.fc31, sysprof-3.34.0-1.fc31, template-glib-3.34.0-1.fc31, totem-3.34.0-1.fc31, tracker-2.3.0-1.fc31, tracker-miners-2.3.0-1.fc31, vala-0.46.0-1.fc31, vte291-0.58.0-1.fc31, webkit2gtk3-2.26.0-1.fc31, yelp-3.34.0-1.fc31, yelp-xsl-3.34.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 11 Fedora Update System 2019-09-12 14:55:09 UTC
FEDORA-2019-6cc7585333 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 12 Adam Williamson 2019-09-12 14:57:22 UTC
Kalev: good spot, I think you're right. It doesn't look like 3.33.92 was ever submitted as an F31 update.

Comment 13 Fedora Update System 2019-09-14 01:39:41 UTC
accerciser-3.34.0-1.fc31, adwaita-icon-theme-3.34.0-1.fc31, aisleriot-3.22.9-1.fc31, amtk-5.0.1-1.fc31, anjuta-3.34.0-1.fc31, at-spi2-atk-2.34.0-1.fc31, at-spi2-core-2.34.0-1.fc31, atk-2.34.1-1.fc31, atomix-3.34.0-1.fc31, baobab-3.34.0-1.fc31, bijiben-3.34.0-1.fc31, cheese-3.34.0-1.fc31, dconf-0.34.0-1.fc31, dconf-editor-3.34.1-1.fc31, devhelp-3.34.0-1.fc31, eog-3.34.0-2.fc31, eog-plugins-3.26.4-1.fc31, epiphany-3.34.0-1.fc31, evolution-3.34.0-1.fc31, evolution-data-server-3.34.0-1.fc31, evolution-ews-3.34.0-1.fc31, evolution-mapi-3.34.0-1.fc31, file-roller-3.32.2-1.fc31, four-in-a-row-3.34.0-1.fc31, gdm-3.34.0-1.fc31, geary-3.33.91-1.fc31, gedit-3.34.0-1.fc31, gedit-plugins-3.34.0-2.fc31, glib-networking-2.62.0-1.fc31, glib2-2.62.0-1.fc31, gnome-2048-3.34.0-1.fc31, gnome-bluetooth-3.34.0-1.fc31, gnome-books-3.34.0-1.fc31, gnome-boxes-3.34.0-1.fc31, gnome-builder-3.34.0-1.fc31, gnome-calculator-3.34.0-1.fc31, gnome-calendar-3.34.0-1.fc31, gnome-chess-3.34.0-1.fc31, gnome-clocks-3.34.0-1.fc31, gnome-contacts-3.34-1.fc31, gnome-control-center-3.34.0.1-1.fc31, gnome-desktop3-3.34.0-1.fc31, gnome-disk-utility-3.34.0-1.fc31, gnome-getting-started-docs-3.34.0-1.fc31, gnome-klotski-3.34.0-1.fc31, gnome-logs-3.34.0-1.fc31, gnome-maps-3.34.0-1.fc31, gnome-mines-3.34.0-1.fc31, gnome-music-3.34.0-1.fc31, gnome-nibbles-3.34.0-1.fc31, gnome-online-accounts-3.34.0-1.fc31, gnome-online-miners-3.34.0-1.fc31, gnome-photos-3.34.0-1.fc31, gnome-robots-3.34.0-1.fc31, gnome-session-3.34.0-1.fc31, gnome-settings-daemon-3.34.0-1.fc31, gnome-shell-3.34.0-1.fc31, gnome-shell-extension-background-logo-3.34.0-1.fc31, gnome-shell-extensions-3.34.0-1.fc31, gnome-software-3.34.0-1.fc31, gnome-sudoku-3.34.0-1.fc31, gnome-taquin-3.34.0-1.fc31, gnome-terminal-3.34.0-1.fc31, gnome-tetravex-3.34.0-1.fc31, gnome-user-docs-3.34.0-1.fc31, gnome-user-share-3.34.0-1.fc31, gnome-video-effects-0.5.0-1.fc31, gobject-introspection-1.62.0-1.fc31, gpaste-3.34.0-1.fc31, gsettings-desktop-schemas-3.34.0-1.fc31, gspell-1.8.2-1.fc31, gthumb-3.8.1-1.fc31, gtksourceview4-4.4.0-1.fc31, gtranslator-3.34.0-1.fc31, gvfs-1.42.0-1.fc31, iagno-3.34.0-1.fc31, jsonrpc-glib-3.34.0-1.fc31, libdazzle-3.34.0-1.fc31, libgdl-3.34.0-1.fc31, libhandy-0.0.11-1.fc31, libmanette-0.2.3-1.fc31, libpeas-1.24.0-1.fc31, librsvg2-2.46.0-1.fc31, libsecret-0.19.1-1.fc31, libsoup-2.68.1-1.fc31, lightsoff-3.34.0-1.fc31, metacity-3.34.0-1.fc31, mutter-3.34.0-3.fc31, nautilus-3.34.0-1.fc31, openchange-2.3-29.fc31, orca-3.34.0-1.fc31, polari-3.34.0-1.fc31, pyatspi-2.34.0-1.fc31, pygobject3-3.34.0-1.fc31, simple-scan-3.34.0-1.fc31, sushi-3.34.0-1.fc31, swell-foop-3.34.0-1.fc31, sysprof-3.34.0-1.fc31, template-glib-3.34.0-1.fc31, totem-3.34.0-1.fc31, tracker-2.3.0-1.fc31, tracker-miners-2.3.0-1.fc31, vala-0.46.0-1.fc31, vte291-0.58.0-1.fc31, webkit2gtk3-2.26.0-1.fc31, yelp-3.34.0-1.fc31, yelp-xsl-3.34.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7585333

Comment 14 Fedora Update System 2019-09-15 00:26:57 UTC
accerciser-3.34.0-1.fc31, adwaita-icon-theme-3.34.0-1.fc31, aisleriot-3.22.9-1.fc31, amtk-5.0.1-1.fc31, anjuta-3.34.0-1.fc31, at-spi2-atk-2.34.0-1.fc31, at-spi2-core-2.34.0-1.fc31, atk-2.34.1-1.fc31, atomix-3.34.0-1.fc31, baobab-3.34.0-1.fc31, bijiben-3.34.0-1.fc31, cheese-3.34.0-1.fc31, dconf-0.34.0-1.fc31, dconf-editor-3.34.1-1.fc31, devhelp-3.34.0-1.fc31, eog-3.34.0-2.fc31, eog-plugins-3.26.4-1.fc31, epiphany-3.34.0-1.fc31, evolution-3.34.0-1.fc31, evolution-data-server-3.34.0-1.fc31, evolution-ews-3.34.0-1.fc31, evolution-mapi-3.34.0-1.fc31, file-roller-3.32.2-1.fc31, four-in-a-row-3.34.0-1.fc31, gdm-3.34.0-1.fc31, geary-3.33.91-1.fc31, gedit-3.34.0-1.fc31, gedit-plugins-3.34.0-2.fc31, glib-networking-2.62.0-1.fc31, glib2-2.62.0-1.fc31, gnome-2048-3.34.0-1.fc31, gnome-bluetooth-3.34.0-1.fc31, gnome-books-3.34.0-1.fc31, gnome-boxes-3.34.0-1.fc31, gnome-builder-3.34.0-1.fc31, gnome-calculator-3.34.0-1.fc31, gnome-calendar-3.34.0-1.fc31, gnome-chess-3.34.0-1.fc31, gnome-clocks-3.34.0-1.fc31, gnome-contacts-3.34-1.fc31, gnome-control-center-3.34.0.1-1.fc31, gnome-desktop3-3.34.0-1.fc31, gnome-disk-utility-3.34.0-1.fc31, gnome-getting-started-docs-3.34.0-1.fc31, gnome-klotski-3.34.0-1.fc31, gnome-logs-3.34.0-1.fc31, gnome-maps-3.34.0-1.fc31, gnome-mines-3.34.0-1.fc31, gnome-music-3.34.0-1.fc31, gnome-nibbles-3.34.0-1.fc31, gnome-online-accounts-3.34.0-1.fc31, gnome-online-miners-3.34.0-1.fc31, gnome-photos-3.34.0-1.fc31, gnome-robots-3.34.0-1.fc31, gnome-session-3.34.0-1.fc31, gnome-settings-daemon-3.34.0-1.fc31, gnome-shell-3.34.0-1.fc31, gnome-shell-extension-background-logo-3.34.0-1.fc31, gnome-shell-extensions-3.34.0-1.fc31, gnome-software-3.34.0-1.fc31, gnome-sudoku-3.34.0-1.fc31, gnome-taquin-3.34.0-1.fc31, gnome-terminal-3.34.0-1.fc31, gnome-tetravex-3.34.0-1.fc31, gnome-user-docs-3.34.0-1.fc31, gnome-user-share-3.34.0-1.fc31, gnome-video-effects-0.5.0-1.fc31, gobject-introspection-1.62.0-1.fc31, gpaste-3.34.0-1.fc31, gsettings-desktop-schemas-3.34.0-1.fc31, gspell-1.8.2-1.fc31, gthumb-3.8.1-1.fc31, gtksourceview4-4.4.0-1.fc31, gtranslator-3.34.0-1.fc31, gvfs-1.42.0-1.fc31, iagno-3.34.0-1.fc31, jsonrpc-glib-3.34.0-1.fc31, libdazzle-3.34.0-1.fc31, libgdl-3.34.0-1.fc31, libhandy-0.0.11-1.fc31, libmanette-0.2.3-1.fc31, libpeas-1.24.0-1.fc31, librsvg2-2.46.0-1.fc31, libsecret-0.19.1-1.fc31, libsoup-2.68.1-1.fc31, lightsoff-3.34.0-1.fc31, metacity-3.34.0-1.fc31, mutter-3.34.0-3.fc31, nautilus-3.34.0-1.fc31, openchange-2.3-29.fc31, orca-3.34.0-1.fc31, polari-3.34.0-1.fc31, pyatspi-2.34.0-1.fc31, pygobject3-3.34.0-1.fc31, simple-scan-3.34.0-1.fc31, sushi-3.34.0-1.fc31, swell-foop-3.34.0-1.fc31, sysprof-3.34.0-1.fc31, template-glib-3.34.0-1.fc31, totem-3.34.0-1.fc31, tracker-2.3.0-1.fc31, tracker-miners-2.3.0-1.fc31, vala-0.46.0-1.fc31, vte291-0.58.0-1.fc31, webkit2gtk3-2.26.0-1.fc31, yelp-3.34.0-1.fc31, yelp-xsl-3.34.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.